Bug 1752435 - enigmail version 2.1 needs to be packaged to work with thunderbird 68
Summary: enigmail version 2.1 needs to be packaged to work with thunderbird 68
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: thunderbird-enigmail
Version: 30
Hardware: x86_64
OS: Linux
unspecified
urgent
Target Milestone: ---
Assignee: Felix Schwarz
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1758142 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-09-16 11:28 UTC by Eric Lavarde
Modified: 2019-11-21 02:02 UTC (History)
14 users (show)

Fixed In Version: thunderbird-enigmail-2.1.3-4.fc30 thunderbird-enigmail-2.1.3-4.fc31
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-17 11:57:45 UTC
Type: Bug


Attachments (Terms of Use)

Description Eric Lavarde 2019-09-16 11:28:17 UTC
Description of problem:
Thunderbird 68 has hit Fedora 30 while Enigmail is still only available in version 2.0, which leads to Enigmail not being usable anymore.

Version-Release number of selected component (if applicable):
thunderbird-enigmail-2.0.8-3.fc30.noarch
thunderbird-68.1.0-1.fc30.x86_64

How reproducible:
Always

Steps to Reproduce:
1. yum upgrade (Thunderbird is updated from version 60 to 68)

Actual results:
Enigmail disappears from Thunderbird, and Thunderbird complains on encrypted e-mails that "This is an encrypted OpenPGP message.
In order to decrypt this mail, you need to install an OpenPGP add-on." (pointing at https://addons.thunderbird.net/thunderbird/addon/enigmail/


Expected results:
Enigmail continues to work (in version 2.1)

Additional info:
https://sourceforge.net/p/enigmail/forum/announce/thread/eda0287829/ from 12th of July states explicitly "Please note that Enigmail 2.1 only works with Thunderbird 68, and Enigmail 2.0.x only with Thunderbird 60.x."

A release synchronization between thunderbird and enigmail would have been more than nice.

Comment 1 J. Randall Owens 2019-09-18 10:37:57 UTC
An extra note that, even after doing an install of enigmail-2.1.2 the usual per-user way, I don't see any of the menus or other options from Enigmail, and it doesn't show any of its usual buttons (or anything resembling them, if 2.1.2 has changed that much outside the hood) when I'm looking at a signed message, although it's definitely installed & enabled. I don't know if this is because of conflicts between the RPM and local installs, or some other reason, but please check that you can actually use any updated packages before releasing, not just that they build & install successfully.

Comment 2 Stefan Schwarzer 2019-09-30 08:11:26 UTC
A workaround that worked for me:

Remove the Fedora `thunderbird-enigmail` package and install the Enigmail add-on file from the Enigmail project. For me, encrypting and decrypting seems to work.

I don't know if it matters, but after removing the `thunderbird-enigmail` package I restarted Thunderbird. Now that I think of it, it might have been cleaner to stop Thunderbird before removing the Fedora package. :-)

Comment 3 Bernie Hoefer 2019-10-04 19:55:33 UTC
*** Bug 1758142 has been marked as a duplicate of this bug. ***

Comment 4 Joonas 2019-10-05 21:22:18 UTC
(In reply to J. Randall Owens from comment #1)
> An extra note that, even after doing an install of enigmail-2.1.2 the usual
> per-user way, I don't see any of the menus or other options from Enigmail,
> and it doesn't show any of its usual buttons (or anything resembling them,
> if 2.1.2 has changed that much outside the hood) when I'm looking at a
> signed message, although it's definitely installed & enabled. 

I can confirm this as well.

I'm unable to use Enigmail with Thunderbird 68 in Fedora 30 even after
manually uninstalling the outdated RPM and using 2.1.2 from:
https://addons.thunderbird.net/en-US/thunderbird/addon/enigmail/

I can no longer read my encrypted email!

Comment 5 Felix Schwarz 2019-10-25 14:59:43 UTC
enigmail was retired from Fedora rawhide a few days ago because it was orphaned for 6+ weeks. Fedora 30/31 package still exists but has no owner so this package will not get any updates.

I don't have the time take over yet another package but I need enigmail. Is there a Fedora packager here who might be willing to step up? If there was at least one other packager I'll join as a co-maintainer so we could share the load.

=> If you are interested but not a Fedora packager yet, you could help by updating the spec file to the latest version + publish a COPR repo. If everything works there I will try to get this into Fedora.

Comment 6 Kai Hambrecht 2019-11-08 18:45:58 UTC
as I'm not a Fedora packager, here's my first attempt at creating a COPR repo:

https://copr.fedorainfracloud.org/coprs/khambrecht/enigmail/

Only slight modifications required in SPEC file. Feel free to review and test.

Comment 7 Felix Schwarz 2019-11-08 19:24:08 UTC
Hi Kai, thank you for your work. I'll have a look over the weekend. Also Trever contacted me and was interested in helping out.

@Trever: Could you check if your changes are similar to Kai's? Anything to add to his changes?

Comment 8 Trever Adams 2019-11-08 23:23:55 UTC
@Kai,@Felix There are a few changes. 

-%global thunmin            68.0
+%global thunmin            61.0

The plugin says it only needs 61. Is this critical? no.

-#global gitcommit          d77065b0c1ddae7a666827e9a83fb728b303503d
-#global gitdate            20150227
+#global gitcommit          e6dcbdde07a5a7de6e1cc3605fcb810f3c9cede0
+#global gitdate            20191107

I figure it ought to be current, even if not critical. Yes, this hasn't been updated this way in forever and it is commented out.

-# for TB 68 install.rdf not required anymore
-#RDF=package/install.rdf
-#grep "em:version" $RDF
-#grep "em:min"     $RDF
-#sed -e '/em:version/s/>[1-9].*</>%{version}</' -i $RDF
-#grep -q "<em:version>%{version}</em:version>"  $RDF || exit 1
+RDF=package/install.rdf
+
+grep "em:version" $RDF
+grep "em:min"     $RDF
+sed -e '/em:version/s/>[1-9].*</>%{version}</' -i $RDF
+
+grep -q "PACKAGE_VERSION='%{version}'" configure || exit 1

install.rdf may not be required, but at list the last line of mine is a good thing. It helps ensure there are no version (rpm vs. plugin) mismatches. The rest may not be important, but I think that last line is!

The rest of my changes vs. those from Kai are just differences in how we did the rpm history.

As for actual source changes, it appears that the build by RedHat/Fedora's infrustructure changed some files vs. what my system is doing. It is all autoconf/automake related. (guess and config.sub, etc.).

Comment 9 Trever Adams 2019-11-08 23:29:08 UTC
I am sorry "at list" should be "at least."

Comment 10 Kai Hambrecht 2019-11-09 00:13:00 UTC
(In reply to Trever Adams from comment #8)
> @Kai,@Felix There are a few changes. 
> 
> -%global thunmin            68.0
> +%global thunmin            61.0
> 
> The plugin says it only needs 61. Is this critical? no.

from manifest.json of original xpi package: "strict_min_version": "68.0a1"
so I would suggest to keep thunmin at 68.0

> -#global gitcommit          d77065b0c1ddae7a666827e9a83fb728b303503d
> -#global gitdate            20150227
> +#global gitcommit          e6dcbdde07a5a7de6e1cc3605fcb810f3c9cede0
> +#global gitdate            20191107
> 
> I figure it ought to be current, even if not critical. Yes, this hasn't been
> updated this way in forever and it is commented out.

agree.

> -# for TB 68 install.rdf not required anymore
> -#RDF=package/install.rdf
> -#grep "em:version" $RDF
> -#grep "em:min"     $RDF
> -#sed -e '/em:version/s/>[1-9].*</>%{version}</' -i $RDF
> -#grep -q "<em:version>%{version}</em:version>"  $RDF || exit 1
> +RDF=package/install.rdf
> +
> +grep "em:version" $RDF
> +grep "em:min"     $RDF
> +sed -e '/em:version/s/>[1-9].*</>%{version}</' -i $RDF
> +
> +grep -q "PACKAGE_VERSION='%{version}'" configure || exit 1
> 
> install.rdf may not be required, but at list the last line of mine is a good
> thing. It helps ensure there are no version (rpm vs. plugin) mismatches. The
> rest may not be important, but I think that last line is!

original xpi package of 2.1.3 does not contain an install.rdf (while previous 2.0.x did). So I agree to keep the last grep, but would omit the preceding grep's and sed.

Comment 11 Kai Hambrecht 2019-11-09 00:37:19 UTC
have adjusted my SPEC file and updated COPR packages

Comment 12 Felix Schwarz 2019-11-09 10:10:01 UTC
Kai, Trever: Thank you for working on this.

I just requested maintainership for thunderbird-enigmail: https://pagure.io/releng/issue/8986

Comment 13 Felix Schwarz 2019-11-11 07:31:46 UTC
Maintainership of thunderbird-enigmail transferred. I'll try to get Kai's changes from his COPR repo into Fedora in the next days.

Comment 14 Fedora Update System 2019-11-11 21:33:54 UTC
FEDORA-2019-45a744b873 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-45a744b873

Comment 15 Fedora Update System 2019-11-11 21:35:11 UTC
FEDORA-2019-951d5dcaf9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-951d5dcaf9

Comment 16 Felix Schwarz 2019-11-11 22:34:11 UTC
I just pushed the changes to Fedora's git and created updates. Please test these and give karma if it works for you.

Trever: The commented git hash is just some support to build the package with a pre-release git version. As this was not necessary for some years the hashes/git dates are pretty ancient. :-)

Kai, Trever: I'd like to keep you in the loop about Bugzilla issues and I hope you can also watch out for things like security announcements, releases etc. I hope it is ok if I add you to the cc on some issues.
Please consider joining the Fedora package maintainer group - I'd be happy to have more co-maintainers. But you could help even in an "unofficial" by monitoring/answering bugzilla issues etc.

Also if you want to see enigmail in F32+ please have a look at the Python 3 build system changes which are currently ongoing (https://admin.hostpoint.ch/pipermail/enigmail-users_enigmail.net/2019-November/005521.html). In F32 we should use Python 3 to build enigmail but fortunately this is being worked on upstream.

Comment 17 Fedora Update System 2019-11-12 03:08:09 UTC
thunderbird-enigmail-2.1.3-3.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-45a744b873

Comment 18 Fedora Update System 2019-11-12 07:35:40 UTC
FEDORA-2019-941d57ed72 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-941d57ed72

Comment 19 Kai Hambrecht 2019-11-12 16:17:41 UTC
(In reply to Felix Schwarz from comment #16)
> I just pushed the changes to Fedora's git and created updates. Please test
> these and give karma if it works for you.

tested on F30. If you have upgraded TB to v68 but kept the (non-working) enigmail 2.0.8 package, enigmail addon is deactivated in TB. If you now upgrade enigmail package to 2.1.3 you have to manually re-activate the addon as user. But IMHO that's not an issue with the enigmail package but more in general for thunderbird. But If you have kept TB at v60 with enigmail 2.0.8 and have now upgraded both, TB to v68 and enigmail to 2.1.3, it's working fine.


> Kai, Trever: I'd like to keep you in the loop about Bugzilla issues and I
> hope you can also watch out for things like security announcements, releases
> etc. I hope it is ok if I add you to the cc on some issues.
> Please consider joining the Fedora package maintainer group - I'd be happy
> to have more co-maintainers. But you could help even in an "unofficial" by
> monitoring/answering bugzilla issues etc.

I'll do my best, as time permits ;-)

Comment 20 Fedora Update System 2019-11-13 04:56:58 UTC
thunderbird-enigmail-2.1.3-3.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-951d5dcaf9

Comment 21 Fedora Update System 2019-11-13 08:18:48 UTC
FEDORA-2019-45a744b873 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-45a744b873

Comment 22 Fedora Update System 2019-11-13 08:44:00 UTC
FEDORA-2019-951d5dcaf9 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2019-951d5dcaf9

Comment 23 Fedora Update System 2019-11-13 10:46:14 UTC
thunderbird-enigmail-2.1.3-4.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-45a744b873

Comment 24 Fedora Update System 2019-11-13 10:52:07 UTC
thunderbird-enigmail-2.1.3-4.fc31 has been pushed to the Fedora 31 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-951d5dcaf9

Comment 25 Fedora Update System 2019-11-13 12:05:18 UTC
thunderbird-enigmail-2.1.3-4.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-941d57ed72

Comment 26 Fedora Update System 2019-11-16 01:04:17 UTC
thunderbird-enigmail-2.1.3-4.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.

Comment 27 Felix Schwarz 2019-11-17 11:57:45 UTC
Andre: Please do not reopen this bug - it was about Fedora 30 and thunderbird-enigmail was pushed to F30 stable so it can remain closed.

As you can see F31 updates are in testing but have no karma yet. If you want a separate bug report for tracking or if the F31 update is not working for you feel free to open a new issue.

Comment 28 Fedora Update System 2019-11-21 01:24:16 UTC
thunderbird-enigmail-2.1.3-4.fc31 has been pushed to the Fedora 31 stable repository. If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2019-11-21 02:02:20 UTC
thunderbird-enigmail-2.1.3-4.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.